SUSE Security Update: Security update for xerces-j2
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:0542-1
Rating:             important
References:         #1195108 
Cross-References:   CVE-2022-23437
CVSS scores:
                    CVE-2022-23437 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-23437 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    HPE Helion Openstack 8
                    SUSE Linux Enterprise Server 12-SP2-BCL
                    SUSE Linux Enterprise Server 12-SP3-BCL
                    SUSE Linux Enterprise Server 12-SP3-LTSS
                    SUSE Linux Enterprise Server 12-SP4-LTSS
                    SUSE Linux Enterprise Server 12-SP5
                    SUSE Linux Enterprise Server for SAP 12-SP3
                    SUSE Linux Enterprise Server for SAP 12-SP4
                    SUSE Linux Enterprise Server for SAP Applications 12-SP5
                    SUSE Linux Enterprise Software Development Kit 12-SP5
                    SUSE OpenStack Cloud 8
                    SUSE OpenStack Cloud 9
                    SUSE OpenStack Cloud Crowbar 8
                    SUSE OpenStack Cloud Crowbar 9
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for xerces-j2 fixes the following issues:

   - CVE-2022-23437: Fixed infinite loop within Apache XercesJ xml parser
     (bsc#1195108).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE OpenStack Cloud Crowbar 9:

      zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2022-542=1

   - SUSE OpenStack Cloud Crowbar 8:

      zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-8-2022-542=1

   - SUSE OpenStack Cloud 9:

      zypper in -t patch SUSE-OpenStack-Cloud-9-2022-542=1

   - SUSE OpenStack Cloud 8:

      zypper in -t patch SUSE-OpenStack-Cloud-8-2022-542=1

   - SUSE Linux Enterprise Software Development Kit 12-SP5:

      zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-542=1

   - SUSE Linux Enterprise Server for SAP 12-SP4:

      zypper in -t patch SUSE-SLE-SAP-12-SP4-2022-542=1

   - SUSE Linux Enterprise Server for SAP 12-SP3:

      zypper in -t patch SUSE-SLE-SAP-12-SP3-2022-542=1

   - SUSE Linux Enterprise Server 12-SP5:

      zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-542=1

   - SUSE Linux Enterprise Server 12-SP4-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2022-542=1

   - SUSE Linux Enterprise Server 12-SP3-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-2022-542=1

   - SUSE Linux Enterprise Server 12-SP3-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2022-542=1

   - SUSE Linux Enterprise Server 12-SP2-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2022-542=1

   - HPE Helion Openstack 8:

      zypper in -t patch HPE-Helion-OpenStack-8-2022-542=1



Package List:

   - SUSE OpenStack Cloud Crowbar 9 (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE OpenStack Cloud Crowbar 8 (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE OpenStack Cloud 9 (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE OpenStack Cloud 8 (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (noarch):

      xerces-j2-demo-2.8.1-268.9.1
      xerces-j2-scripts-2.8.1-268.9.1

   - SUSE Linux Enterprise Server for SAP 12-SP4 (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE Linux Enterprise Server for SAP 12-SP3 (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE Linux Enterprise Server 12-SP5 (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE Linux Enterprise Server 12-SP4-LTSS (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE Linux Enterprise Server 12-SP3-LTSS (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE Linux Enterprise Server 12-SP3-BCL (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - SUSE Linux Enterprise Server 12-SP2-BCL (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1

   - HPE Helion Openstack 8 (noarch):

      xerces-j2-2.8.1-268.9.1
      xerces-j2-xml-apis-2.8.1-268.9.1
      xerces-j2-xml-resolver-2.8.1-268.9.1


References:

   https://www.suse.com/security/cve/CVE-2022-23437.html
   https://bugzilla.suse.com/1195108